package com.dev.swms.server.model.fee;
import java.util.Date;
import com.dev.energy.server.model.Entity;
import com.dev.swms.server.model.base.Structure;
/**
 * 核销
 * @author 44700
 *
 */
public class Invoice extends  Entity {
	
	private Structure customer;//所属客户
	private String invoiceNo;//发票号
	private int tax ;//税点
	private Date issuingDate;//开票时间
	private double billingFee;//开票金额
	private double taxFee;//税点金额
	private double turnover=0;//营业额
	private String creatPeople;//创建人
	private Date creatDate;//创建时间	
	private String status;//状态
	private double cashFee;//核销金额
	private Date cashTime;//核销时间
	private String cashPerson;//核销人
	private String documentNumber;// 核销凭证号
	private String company;//所属开票公司
	private String description ;//备注
	
	private double ticketMat;//票内代垫
	private double outTicketMat ;//票外代垫
	private String invoiceState ;//发票状态
	private double cashTicketMat;//核销票内
	private double cashOutTicketMat ;//核销票外
	private double cashTumover;//核销营业额
	/**税金**/
	private Double taxMoney;
	/**（不含税价）金额**/
	private double noTaxFee=0;
	/**应收/应付**/
	private String payOrReceive;
	/*** 汇款时间*/
	private Date remittanceTime;
	/*** 税率情况*/
	private String taxInfo ;
	/*** 转账凭证号*/
	private String transferVoucher;
	/**（不含税价）票内**/
	private double notTicketMat=0;
	/**（不含税价）营业额**/
	private double notTurnover=0;
	 /**业务员*/
	private  String salesMan;
	
	
	public double getTaxFee() {
		return taxFee;
	}
	public void setTaxFee(double taxFee) {
		this.taxFee = taxFee;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public Structure getCustomer() {
		return customer;
	}
	public void setCustomer(Structure customer) {
		this.customer = customer;
	}
	public String getInvoiceNo() {
		return invoiceNo;
	}
	public void setInvoiceNo(String invoiceNo) {
		this.invoiceNo = invoiceNo;
	}
	public int getTax() {
		return tax;
	}
	public void setTax(int tax) {
		this.tax = tax;
	}
	public Date getIssuingDate() {
		return issuingDate;
	}
	public void setIssuingDate(Date issuingDate) {
		this.issuingDate = issuingDate;
	}
	public double getBillingFee() {
		return billingFee;
	}
	public void setBillingFee(double billingFee) {
		this.billingFee = billingFee;
	}
	public double getTurnover() {
		return turnover;
	}
	public void setTurnover(double turnover) {
		this.turnover = turnover;
	}
	public String getCreatPeople() {
		return creatPeople;
	}
	public void setCreatPeople(String creatPeople) {
		this.creatPeople = creatPeople;
	}
	public Date getCreatDate() {
		return creatDate;
	}
	public void setCreatDate(Date creatDate) {
		this.creatDate = creatDate;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public double getCashFee() {
		return cashFee;
	}
	public void setCashFee(double cashFee) {
		this.cashFee = cashFee;
	}
	public Date getCashTime() {
		return cashTime;
	}
	public void setCashTime(Date cashTime) {
		this.cashTime = cashTime;
	}
	public String getCashPerson() {
		return cashPerson;
	}
	public void setCashPerson(String cashPerson) {
		this.cashPerson = cashPerson;
	}
	public String getDocumentNumber() {
		return documentNumber;
	}
	public void setDocumentNumber(String documentNumber) {
		this.documentNumber = documentNumber;
	}
	public String getCompany() {
		return company;
	}
	public void setCompany(String company) {
		this.company = company;
	}
	
	
}
